Summary: A console-based network monitoring utility.
Name: iptraf
Version: 2.3.1
Release: 1
Source: ftp://ftp.cebu.mozcom.com/pub/linux/net/%{name}-%{version}.tar.gz
URL: http://cebu.mozcom.com/riker/iptraf
Patch: iptraf-Makefile.patch
Copyright: GPL
Group: Applications/System
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
IPTraf is a console-based network monitoring utility.  IPTraf gathers
data like TCP connection packet and byte counts, interface statistics
and activity indicators, TCP/UDP traffic breakdowns, and LAN station
packet and byte counts.  IPTraf features include an IP traffic monitor
which shows TCP flag information, packet and byte counts, ICMP
details, OSPF packet types, and oversized IP packet warnings;
interface statistics showing IP, TCP, UDP, ICMP, non-IP and other IP
packet counts, IP checksum errors, interface activity and packet size
counts; a TCP and UDP service monitor showing counts of incoming and
outgoing packets for common TCP and UDP application ports, a LAN
statistics module that discovers active hosts and displays statistics
about their activity; TCP, UDP and other protocol display filters so
you can view just the traffic you want; logging; support for Ethernet,
FDDI, ISDN, SLIP, PPP, and loopback interfaces; and utilization of the
built-in raw socket interface of the Linux kernel, so it can be used
on a wide variety of supported network cards.

%prep
%setup -q 
%patch -p1 

%build
# remove prebuilt cruft included in the tarball so that sparc and alpha can
# build properly
rm -f src/{cfconv,iptraf,rvnamed}
make -C src CFLAGS="$RPM_OPT_FLAGS" \
            TARGET=%{_prefix}/bin \
            LOGDIR=/var/log/iptraf \
            WORKDIR=/var/iptraf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/bin
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 Documentation/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

make -C src TARGET=$RPM_BUILD_ROOT%{_prefix}/bin \
            LOGDIR=$RPM_BUILD_ROOT/var/log/iptraf \
            WORKDIR=$RPM_BUILD_ROOT/var/iptraf \
            install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README README.interfaces README.platforms
%doc README.rvnamed
%doc Documentation
%{_prefix}/bin/*
%{_mandir}/*/*
%dir /var/iptraf
%dir /var/log/iptraf


%changelog
* Mon Jan 22 2001 Karsten Hopp <karsten@redhat.de>
- update to 2.3.1 which fixes these bugs:
- segfault in IP Traffic Monitor
- segfault in promiscuous mode management
- failure of filters when source or dest is 255.255.255.255
- statistics logging bug
- small buffer overrun in TCP timeout log
- unrecognized IP display and filter code
- segfault bug when sorting an empty TCP window

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Karsten Hopp <karsten@redhat.de>
- rebuilt

* Wed Jun 28 2000 Karsten Hopp <karsten@redhat.de>
- fixed mandir
- changed install routine to allow building as non-root

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- updated to 2.2.0

* Fri Nov 12 1999 Tim Powers <timp@redhat.com>
- updated to 2.1.0
- gzip man pages

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- updated to version 2.0.2
- new patch added to that the spec file isn't out of control
  in the install section
- general spec cleanups
- built for 6.1

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jan 16 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Updated to version 1.4.2
- Used name and version variables in source field

* Wed Jan 6 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Maintainer for RHCN: Anders Semb Hermansen
